nvme_mi_open_mctp(2)

NAME
nvme_mi_open_mctp - Create an endpoint using a MCTP connection.

SYNOPSIS
nvme_mi_ep_t nvme_mi_open_mctp (nvme_root_t root , unsigned int netid , uint8_t eid );

ARGUMENTS

root
    root object to create under

netid
    MCTP network ID on this system

eid MCTP endpoint ID

DESCRIPTION
Transport-specific endpoint initialization for MI-connected endpoints. Once an endpoint is created, the rest of the API is transport-independent.

See nvme_mi_close

RETURN
New endpoint object for netid & eid, or NULL on failure.